POST api/WorkFlow/CreateWorkFlow

Request Information

URI Parameters

None.

Body Parameters

WorkFlowViewModel
NameDescriptionTypeAdditional information
UserRole

string

None.

Description

string

None.

Description2

string

None.

TypeID

integer

None.

TypeIDForType

integer

None.

StartDateTime

date

None.

EndDateTime

date

None.

SpecificDates

Collection of date

None.

DelayInMinuts

integer

None.

DelayInHours

integer

None.

DaysOfWeeks

Collection of DayOfWeek

None.

Notes

string

None.

createdBy

integer

None.

SDateTime

string

None.

EDateTime

string

None.

bGroup

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "UserRole": "sample string 1",
  "Description": "sample string 2",
  "Description2": "sample string 3",
  "TypeID": 4,
  "TypeIDForType": 1,
  "StartDateTime": "2026-04-06T21:31:22.6446404-05:00",
  "EndDateTime": "2026-04-06T21:31:22.6451549-05:00",
  "SpecificDates": [
    "2026-04-06T21:31:22.6451549-05:00",
    "2026-04-06T21:31:22.6451549-05:00"
  ],
  "DelayInMinuts": 5,
  "DelayInHours": 6,
  "DaysOfWeeks": [
    0,
    0
  ],
  "Notes": "sample string 7",
  "createdBy": 8,
  "SDateTime": "sample string 9",
  "EDateTime": "sample string 10",
  "bGroup": 11
}

application/xml, text/xml

Sample:
<WorkFlowViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessAccessLayer.ViewModel">
  <DaysOfWeeks xmlns:d2p1="http://schemas.datacontract.org/2004/07/System">
    <d2p1:DayOfWeek>Sunday</d2p1:DayOfWeek>
    <d2p1:DayOfWeek>Sunday</d2p1:DayOfWeek>
  </DaysOfWeeks>
  <DelayInHours>6</DelayInHours>
  <DelayInMinuts>5</DelayInMinuts>
  <Description>sample string 2</Description>
  <Description2>sample string 3</Description2>
  <EDateTime>sample string 10</EDateTime>
  <EndDateTime>2026-04-06T21:31:22.6451549-05:00</EndDateTime>
  <Notes>sample string 7</Notes>
  <SDateTime>sample string 9</SDateTime>
  <SpecificDates xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:dateTime>2026-04-06T21:31:22.6451549-05:00</d2p1:dateTime>
    <d2p1:dateTime>2026-04-06T21:31:22.6451549-05:00</d2p1:dateTime>
  </SpecificDates>
  <StartDateTime>2026-04-06T21:31:22.6446404-05:00</StartDateTime>
  <TypeID>4</TypeID>
  <TypeIDForType>1</TypeIDForType>
  <UserRole>sample string 1</UserRole>
  <bGroup>11</bGroup>
  <createdBy>8</createdBy>
</WorkFlowViewModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

Result
NameDescriptionTypeAdditional information
Status

ResultStatus

None.

Message

string

None.

Data

Object

None.

Response Formats

application/json, text/json

Sample:
{
  "Status": 100,
  "Message": "sample string 1",
  "Data": {}
}

application/xml, text/xml

Sample:
<Result xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessAccessLayer.Generics">
  <Data />
  <Message>sample string 1</Message>
  <Status>Success</Status>
</Result>